package cz.moneta.test.dsl.kasanova.components.enums;

public enum KSNOriginDeposit {
    PUVOD_VKLADU_1("1 - Výnos/Náklad běžné podnikatelské činnosti"),
    PUVOD_VKLADU_2("2 - Prodej/Nákup movitého a nemovitého majetku"),
    PUVOD_VKLADU_3("3 - Dar/Dotace/Příspěvek/Výhra"),
    PUVOD_VKLADU_4("4 - Půjčka/Úvěr"),
    PUVOD_VKLADU_5("5 - Podíl na zisku/Dividenda/Renta"),
    PUVOD_VKLADU_6("6 - Prodej/Nákup majetkového podílu, akcií"),
    PUVOD_VKLADU_7("7 - Úspory uložené v jiných finančních institucích"),
    PUVOD_VKLADU_8("8 - Finanční transakce v rámci rodiny"),
    PUVOD_VKLADU_9("9 - Náhrada škody/Pojistné plnění/Odstupné"),
    PUVOD_VKLADU_10("10 - Prodej/Nákup starožitností, drahých kovů, zbraní"),
    PUVOD_VKLADU_11("11 - Prodej/Nákup kryptoměny"),
    PUVOD_VKLADU_12("12 - Na dovolenou/Z dovolené"),
    PUVOD_VKLADU_98("98 - Ostatní výše neuvedeno"),
    PUVOD_VKLADU_99("99 - Odmítám uvést původ a účel finančních prostředků");
    
    private final String value;
    
    KSNOriginDeposit(String value) {
        this.value = value;
    }
    
    public String getValue() {
        return this.value;
    }
}
